# Claude Knowledge Catalyst

**知識の触媒作用を実現する統合的な知識管理システム**

Claude Code との開発プロセスで生まれる知見を自動的に構造化し、Obsidian との深層統合により長期的な知識資産として蓄積・活用するための包括的なプラットフォームです。

## Quick Navigation

::::{grid} 2
:::{grid-item-card} 🚀 Quick Start
:link: quick-start/index
:link-type: doc

5分でプロジェクトを開始
:::

:::{grid-item-card} 📖 Getting Started
:link: getting-started/index
:link-type: doc

基礎から学ぶ知識管理システム
:::

:::{grid-item-card} 👥 User Guide
:link: user-guide/index
:link-type: doc

実践的な使用方法とベストプラクティス
:::

:::{grid-item-card} 🔧 Developer Guide
:link: developer-guide/index
:link-type: doc

開発者向けリファレンスと貢献ガイド
:::
::::

## What is Claude Knowledge Catalyst?

Claude Knowledge Catalyst は、以下の主要機能を提供します：

### 🏗️ 適応型システム基盤
- **10-step numbering** (00→10→20→30) による知識成熟度の視覚化
- **段階的構造化**: カオス(00) → プロジェクト(10) → 知識ベース(20) → 知恵資産(30)
- **インテリジェント分類**: 成功率・実行履歴・コンテンツ解析による自動配置

### 🧠 インテリジェント知識管理
- **自動メタデータ抽出**: プロジェクト検出、タグ推論、文脈解析
- **構造化組織**: 成熟度による段階的分類
- **双方向同期**: .claude ディレクトリと Obsidian ボルトの seamless 連携
- **🔒 CLAUDE.md同期**: セキュアなセクションフィルタリングで機密情報を保護

### 🎯 Obsidian深層統合
- 構造化ボルト、双方向リンク、グラフビューの活用
- PARA method に基づく知識組織
- プロジェクト横断での関連知識発見・相互参照

## Documentation Structure

```{toctree}
:maxdepth: 2
:caption: Getting Started

quick-start/index
getting-started/index
```

```{toctree}
:maxdepth: 2
:caption: User Guide

user-guide/index
user-guide/core-concepts
user-guide/claude-md-sync
user-guide/tutorials/index
```

```{toctree}
:maxdepth: 2
:caption: Developer Resources

developer-guide/index
api-reference/index
```

```{toctree}
:maxdepth: 2
:caption: Project Information

project-info/index
```

## Latest Updates

### v0.9.1 - CLAUDE.md同期機能
- 🔒 **セキュアなCLAUDE.md同期**: セクション単位での除外機能
- 🛡️ **プライバシー保護**: 機密情報の自動フィルタリング
- 🎯 **柔軟な設定**: プロジェクトに応じたカスタマイズ
- 📊 **メタデータ強化**: CLAUDE.md専用の詳細情報生成

### v0.9.0 - 適応型システム基盤
- 10-step numbering による知識成熟度管理
- インテリジェント分類システム
- Obsidian深層統合の強化
- プロジェクト横断知識関連付け

## Getting Help

- **Issues**: [GitHub Issues](https://github.com/drillan/claude-knowledge-catalyst/issues)
- **Discussions**: [GitHub Discussions](https://github.com/drillan/claude-knowledge-catalyst/discussions)
- **Documentation**: この包括的なドキュメント

---

*Built with ❤️ for the Claude Code community*
